package com.jxdinfo.hussar.core.banner;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.banner.AbstractHussarBanner;
import io.undertow.Version;
import java.util.Formatter;
import org.springframework.core.env.Environment;

public class HussarUndertowBanner extends AbstractHussarBanner {
  protected void injectEnvironmentInfoIntoBanner(Formatter paramFormatter, Environment paramEnvironment, Class<?> paramClass) {
    paramFormatter.format("Undertow Version: %s%n", new Object[] { Version.getFullVersionString() });
    paramFormatter.format("%s%n", new Object[] { LINE_SEPARATOR });
  }
  
  protected boolean check() {
    try {
      getClass().getClassLoader().loadClass("io.undertow.Version");
    } catch (ClassNotFoundException classNotFoundException) {
      return false;
    } 
    return true;
  }
  
  public int getOrder() {
    return 2;
  }
}
